Bug 829997 - [abrt] gnome-shell-3.4.1-5.fc17: disconnect_callback: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-5.fc17: disconnect_callback: Process /usr/bin/gnome-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:6e502f2da3e9b83f5686e4bc9d0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 20:17 EDT by gs
Modified: 2013-08-01 02:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:38:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.54 KB, text/plain)
2012-06-07 20:17 EDT, gs
no flags Details
File: maps (98.45 KB, text/plain)
2012-06-07 20:17 EDT, gs
no flags Details
File: dso_list (20.62 KB, text/plain)
2012-06-07 20:17 EDT, gs
no flags Details
File: build_ids (7.17 KB, text/plain)
2012-06-07 20:17 EDT, gs
no flags Details
File: var_log_messages (15.54 KB, text/plain)
2012-06-07 20:17 EDT, gs
no flags Details

  None (edit)
Description gs 2012-06-07 20:17:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
comment:        This happened when I attempted to connect to a bluetooth headset which had already been paired.  This function has been failing except for one time since installation of Fedora 17 from CD.
crash_function: disconnect_callback
executable:     /usr/bin/gnome-shell
kernel:         3.3.7-1.fc17.x86_64
pid:            1413
pwd:            /home/gene
time:           Thu 07 Jun 2012 01:31:21 PM PDT
uid:            500
username:       gene
xsession_errors: (gnome-shell:3310): GLib-GIO-CRITICAL **: g_dbus_proxy_call_internal: assertion `G_IS_DBUS_PROXY (proxy)' failed

backtrace:      Text file, 38437 bytes
build_ids:      Text file, 7339 bytes
dso_list:       Text file, 21118 bytes
maps:           Text file, 100808 bytes
var_log_messages: Text file, 15914 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/gene/8

core_backtrace:
:85aa55a874ef9891243f9339385bb36eab4e2cda 0xb810 - libgnome-bluetooth.so.10 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xc51ea - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xbb67e - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6cf79 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x540b7 meta_run libmutter.so.0 -
:05792ba8e5037b0a798ce87d3331dd3d455a5624 0x1c47 main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=8
:HOSTNAME=newho
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:'TAB=\t'
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/gene/keyring-qm67sx
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=gene
:LD_LIBRARY_PATH=/usr/local/lib:/usr/lib:
:USERNAME=gene
:MAIL=/var/spool/mail/gene
:PATH=/usr/local/bin:/usr/local/sbin:/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/gene/bin:/home/gene/bin:/home/gene/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/gene
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1187
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/gene
:SHLVL=1
:LOGNAME=gene
:QTLIB=/usr/lib/qt-3.3/lib
:CLASSPATH=/usr/local/mysql-connector-java-5.0.5/mysql-connector-java-5.0.5-bin.jar:
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-RilhLFoTI7,guid=0992c2046ffa8a633e4702b200002e72
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:BROWSER=/usr/bin/google-chrome
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/gene
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-gene-3Fmce2/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1195,unix/unix:/tmp/.ICE-unix/1195
:GPG_AGENT_INFO=/run/user/gene/keyring-qm67sx/gpg:0:1
:SSH_AUTH_SOCK=/run/user/gene/keyring-qm67sx/ssh
:DESKTOP_AUTOSTART_ID=10c37a4b87f99a0478133904586573578100000011950000

event_log:
:2012-06-07-17:10:59> Analyzing coredump 'coredump'
:2012-06-07-17:11:02  Coredump references 179 debuginfo files, 5 of them are not installed
:2012-06-07-17:11:02  Setting up yum repositories
:2012-06-07-17:11:02  Looking for needed packages in repositories
:2012-06-07-17:11:05  Packages to download: 5
:2012-06-07-17:11:06  Downloading (1 of 5) libSM-debuginfo-1.2.1-1.fc17.x86_64.rpm: 100%
:2012-06-07-17:11:06  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-07-17:11:01.6573/libSM-debuginfo-1.2.1-1.fc17.x86_64.rpm
:2012-06-07-17:11:06  Caching files from unpacked.cpio made from libSM-debuginfo-1.2.1-1.fc17.x86_64.rpm
:2012-06-07-17:11:06  Downloading (2 of 5) libXcursor-debuginfo-1.1.13-1.fc17.x86_64.rpm: 100%
:2012-06-07-17:11:06  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-07-17:11:01.6573/libXcursor-debuginfo-1.1.13-1.fc17.x86_64.rpm
:2012-06-07-17:11:06  Caching files from unpacked.cpio made from libXcursor-debuginfo-1.1.13-1.fc17.x86_64.rpm
:2012-06-07-17:11:06  Downloading (3 of 5) libasyncns-debuginfo-0.8-3.fc17.x86_64.rpm: 100%
:2012-06-07-17:11:06  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-07-17:11:01.6573/libasyncns-debuginfo-0.8-3.fc17.x86_64.rpm
:2012-06-07-17:11:06  Caching files from unpacked.cpio made from libasyncns-debuginfo-0.8-3.fc17.x86_64.rpm
:2012-06-07-17:11:08  Downloading (4 of 5) libsoup-debuginfo-2.38.1-1.fc17.x86_64.rpm: 100%
:2012-06-07-17:11:08  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-07-17:11:01.6573/libsoup-debuginfo-2.38.1-1.fc17.x86_64.rpm
:2012-06-07-17:11:08  Caching files from unpacked.cpio made from libsoup-debuginfo-2.38.1-1.fc17.x86_64.rpm
:2012-06-07-17:11:09  Downloading (5 of 5) libsndfile-debuginfo-1.0.25-2.fc17.x86_64.rpm: 100%
:2012-06-07-17:11:09  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-07-17:11:01.6573/libsndfile-debuginfo-1.0.25-2.fc17.x86_64.rpm
:2012-06-07-17:11:09  Caching files from unpacked.cpio made from libsndfile-debuginfo-1.0.25-2.fc17.x86_64.rpm
:2012-06-07-17:11:09  Removing /tmp/abrt-tmp-debuginfo-2012-06-07-17:11:01.6573
:2012-06-07-17:11:09  All debuginfo files are available
:2012-06-07-17:11:09  Generating backtrace
:2012-06-07-17:11:15  Backtrace is generated and saved, 38437 bytes
:2012-06-07-17:12:01> Element 'xsession_errors' saved
:2012-06-07-17:12:01> GConf directory /apps/gnome-shell does not exist
:2012-06-07-17:12:01* (exited with 1)
:2012-06-07-17:12:02> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31263                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31263                31263                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/gene/.xsession-errors
:pos:	67007
:flags:	0102002
:2:/home/gene/.xsession-errors
:pos:	67007
:flags:	0102002
:3:pipe:[1072868]
:pos:	0
:flags:	04000
:4:pipe:[1072868]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[1072869]
:pos:	0
:flags:	02004002
:7:socket:[1073810]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:socket:[1072887]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[1075393]
:pos:	0
:flags:	02004002
:14:pipe:[1073827]
:pos:	0
:flags:	02004000
:15:pipe:[1073827]
:pos:	0
:flags:	02004001
:16:socket:[1074754]
:pos:	0
:flags:	02004002
:17:socket:[1073830]
:pos:	0
:flags:	02000002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[1073949]
:pos:	0
:flags:	02000002
:20:anon_inode:inotify
:pos:	0
:flags:	02004000
:21:/tmp/ffi22w6sM (deleted)
:pos:	0
:flags:	0100002
:22:socket:[1073997]
:pos:	0
:flags:	02004002
:23:socket:[1075062]
:pos:	0
:flags:	02004002
:24:socket:[1073091]
:pos:	0
:flags:	02004002
:25:/dev/rfkill
:pos:	0
:flags:	0104002
:26:socket:[1075067]
:pos:	0
:flags:	02004002
:27:pipe:[1074107]
:pos:	0
:flags:	02004000
:28:pipe:[1075032]
:pos:	0
:flags:	01
:29:pipe:[1074107]
:pos:	0
:flags:	02004001
:30:socket:[1074007]
:pos:	0
:flags:	02004002
:31:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:32:socket:[1077275]
:pos:	0
:flags:	02004002
:33:/home/gene/.cache/event-sound-cache.tdb.175fc4b1a609d58681ff3b5800000016.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:34:anon_inode:inotify
:pos:	0
:flags:	02004000
:35:socket:[1074118]
:pos:	0
:flags:	02004002
:36:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 6e51665e-4f06-459e-8edf-4685c671d19b
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6585.39
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 3301
:System Memory: 3926
:System Swap: 16386
:Vendor: MSI
:System: MS-7673 1.0
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6945:4224:5218:30323) pci, None, PCI/PCI, N/A
:(36868:20600:0:0) pci, aic7xxx, SCSI, AIC-7850
:(32902:7202:5218:30323) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7168:5218:30323) pci, ata_piix, STORAGE, 6 Series/C200 Series Chipset Family 4 port SATA IDE Controller
:(32902:7184:5218:30323) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7238:5218:30323) pci, None, PCI/ISA, P67 Express Chipset Family LPC Controller
:(32902:7196:5218:30323) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:9294:5218:30323) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:7200:5218:30323) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4332:33128:5218:30323) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7176:5218:30323) pci, ata_piix, STORAGE, 6 Series/C200 Series Chipset Family 2 port SATA IDE Controller
:(4318:1557:5218:5442) pci, nouveau, VIDEO, G92 [GeForce GTS 250]
:(32902:7213:5218:30323) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5218:30323) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:5218:30337) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5218:30323) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:5218:30323) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7194:5218:30323) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:5218:30337) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 80427349 70875205 70070285 20127744 19718249 19718249
:/dev/sdb1 WITHHELD ext4 4096 4096 24015781 20045365 18842700 6021120 6017762 6017762
:/dev/sda2 WITHHELD ext4 4096 4096 79653580 39168110 35180879 19939328 19474717 19474717
:/dev/sda1 WITHHELD fuseblk 4096 4096 79744643 70312160 70312160 281379712 281294882 281294882
:
Comment 1 gs 2012-06-07 20:17:37 EDT
Created attachment 590314 [details]
File: backtrace
Comment 2 gs 2012-06-07 20:17:38 EDT
Created attachment 590315 [details]
File: maps
Comment 3 gs 2012-06-07 20:17:40 EDT
Created attachment 590316 [details]
File: dso_list
Comment 4 gs 2012-06-07 20:17:41 EDT
Created attachment 590317 [details]
File: build_ids
Comment 5 gs 2012-06-07 20:17:43 EDT
Created attachment 590318 [details]
File: var_log_messages
Comment 6 ramzi 2013-01-26 06:31:54 EST
utilisation d'un casque bluetooth. 

backtrace_rating: 4
Package: gnome-shell-3.4.1-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-03 21:47:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 02:38:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.